<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref9.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_inheritance - Synopsis.Formatters.HTML.Fragment.Fragment.format_function</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_inheritance - Synopsis.Formatters.HTML.Fragment.Fragment.format_function</h1><div class="xref-name"><a id="Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_inheritance" /><h2 >Method Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#visit_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#309">Synopsis/Formatters/Dot.py:309</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html" >Synopsis.Formatters.Dot.SingleInheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.SystemError" /><h2 >Class Synopsis.Formatters.Dot.SystemError</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/SystemError.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#23">Synopsis/Formatters/Dot.py:23</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/Dot.py.html#30">Synopsis/Formatters/Dot.py:30</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/SystemError.html#retval" >retval</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#31">Synopsis/Formatters/Dot.py:31</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/SystemError.html#command" >command</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#28">Synopsis/Formatters/Dot.py:28</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/SystemError.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#33">Synopsis/Formatters/Dot.py:33</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/SystemError.html#__repr__" >__repr__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.SystemError.__init__" /><h2 >Method Synopsis.Formatters.Dot.SystemError.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/SystemError.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#28">Synopsis/Formatters/Dot.py:28</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/SystemError.html" >Synopsis.Formatters.Dot.SystemError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.SystemError.__repr__" /><h2 >Method Synopsis.Formatters.Dot.SystemError.__repr__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/SystemError.html#__repr__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#33">Synopsis/Formatters/Dot.py:33</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/SystemError.html" >Synopsis.Formatters.Dot.SystemError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot._convert_map" /><h2 >Function Synopsis.Formatters.Dot._convert_map</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot.html#_convert_map" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#393">Synopsis/Formatters/Dot.py:393</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot._format" /><h2 >Function Synopsis.Formatters.Dot._format</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot.html#_format" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#408">Synopsis/Formatters/Dot.py:408</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot._format_html" /><h2 >Function Synopsis.Formatters.Dot._format_html</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot.html#_format_html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#421">Synopsis/Formatters/Dot.py:421</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot._format_png" /><h2 >Function Synopsis.Formatters.Dot._format_png</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot.html#_format_png" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#419">Synopsis/Formatters/Dot.py:419</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot._rel" /><h2 >Function Synopsis.Formatters.Dot._rel</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot.html#_rel" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#383">Synopsis/Formatters/Dot.py:383</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.light" /><h2 >Function Synopsis.Formatters.Dot.light</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot.html#light" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#55">Synopsis/Formatters/Dot.py:55</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.normalize" /><h2 >Function Synopsis.Formatters.Dot.normalize</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot.html#normalize" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#46">Synopsis/Formatters/Dot.py:46</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.system" /><h2 >Function Synopsis.Formatters.Dot.system</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot.html#system" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#37">Synopsis/Formatters/Dot.py:37</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter" /><h2 >Class Synopsis.Formatters.Dump.Formatter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#24">Synopsis/Formatters/Dump.py:24</a>: in module <a href="../Scopes/Synopsis/Formatters/Dump.html" >Synopsis.Formatters.Dump</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/Dump.py.html#26">Synopsis/Formatters/Dump.py:26</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#show_ids" >show_ids</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#27">Synopsis/Formatters/Dump.py:27</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#show_declarations" >show_declarations</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#28">Synopsis/Formatters/Dump.py:28</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#show_types" >show_types</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#29">Synopsis/Formatters/Dump.py:29</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#show_files" >show_files</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#30">Synopsis/Formatters/Dump.py:30</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#stylesheet" >stylesheet</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#32">Synopsis/Formatters/Dump.py:32</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#process" >process</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#78">Synopsis/Formatters/Dump.py:78</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#push" >push</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#84">Synopsis/Formatters/Dump.py:84</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#pop" >pop</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#88">Synopsis/Formatters/Dump.py:88</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#add_text" >add_text</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#93">Synopsis/Formatters/Dump.py:93</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit" >visit</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#106">Synopsis/Formatters/Dump.py:106</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_none" >visit_none</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#107">Synopsis/Formatters/Dump.py:107</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_string" >visit_string</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#108">Synopsis/Formatters/Dump.py:108</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_type" >visit_type</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#110">Synopsis/Formatters/Dump.py:110</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_tuple" >visit_tuple</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#118">Synopsis/Formatters/Dump.py:118</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_list" >visit_list</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#126">Synopsis/Formatters/Dump.py:126</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_dict" >visit_dict</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#140">Synopsis/Formatters/Dump.py:140</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_sourcefile" >visit_sourcefile</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#158">Synopsis/Formatters/Dump.py:158</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_docstring" >visit_docstring</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#166">Synopsis/Formatters/Dump.py:166</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_instance" >visit_instance</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#195">Synopsis/Formatters/Dump.py:195</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#write_declarations" >write_declarations</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#206">Synopsis/Formatters/Dump.py:206</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#write_types" >write_types</a></li><li ><a href="../Source/Synopsis/Formatters/Dump.py.html#216">Synopsis/Formatters/Dump.py:216</a>: Method <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#write_files" >write_files</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.add_text" /><h2 >Method Synopsis.Formatters.Dump.Formatter.add_text</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#add_text" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#88">Synopsis/Formatters/Dump.py:88</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.pop" /><h2 >Method Synopsis.Formatters.Dump.Formatter.pop</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#pop" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#84">Synopsis/Formatters/Dump.py:84</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.process" /><h2 >Method Synopsis.Formatters.Dump.Formatter.process</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#32">Synopsis/Formatters/Dump.py:32</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.push" /><h2 >Method Synopsis.Formatters.Dump.Formatter.push</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#push" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#78">Synopsis/Formatters/Dump.py:78</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#93">Synopsis/Formatters/Dump.py:93</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit_dict" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit_dict</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_dict" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#126">Synopsis/Formatters/Dump.py:126</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit_docstring" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit_docstring</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_docstring" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#158">Synopsis/Formatters/Dump.py:158</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit_instance" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit_instance</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_instance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#166">Synopsis/Formatters/Dump.py:166</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit_list" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit_list</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_list" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#118">Synopsis/Formatters/Dump.py:118</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit_none" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit_none</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_none" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#106">Synopsis/Formatters/Dump.py:106</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit_sourcefile" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit_sourcefile</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_sourcefile" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#140">Synopsis/Formatters/Dump.py:140</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit_string" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit_string</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_string" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#107">Synopsis/Formatters/Dump.py:107</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit_tuple" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit_tuple</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_tuple" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#110">Synopsis/Formatters/Dump.py:110</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.visit_type" /><h2 >Method Synopsis.Formatters.Dump.Formatter.visit_type</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#visit_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#108">Synopsis/Formatters/Dump.py:108</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.write_declarations" /><h2 >Method Synopsis.Formatters.Dump.Formatter.write_declarations</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#write_declarations" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#195">Synopsis/Formatters/Dump.py:195</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.write_files" /><h2 >Method Synopsis.Formatters.Dump.Formatter.write_files</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#write_files" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#216">Synopsis/Formatters/Dump.py:216</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dump.Formatter.write_types" /><h2 >Method Synopsis.Formatters.Dump.Formatter.write_types</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html#write_types" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dump.py.html#206">Synopsis/Formatters/Dump.py:206</a>: in class <a href="../Scopes/Synopsis/Formatters/Dump/Formatter.html" >Synopsis.Formatters.Dump.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Formatters.copy_file" /><h2 >Function Synopsis.Formatters.Formatters.copy_file</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Formatters.html#copy_file" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/__init__.py.html#56">Synopsis/Formatters/__init__.py:56</a>: in package <a href="../Scopes/Synopsis/Formatters/Formatters.html" >Synopsis.Formatters.Formatters</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Formatters.join_paths" /><h2 >Function Synopsis.Formatters.Formatters.join_paths</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Formatters.html#join_paths" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/__init__.py.html#64">Synopsis/Formatters/__init__.py:64</a>: in package <a href="../Scopes/Synopsis/Formatters/Formatters.html" >Synopsis.Formatters.Formatters</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Formatters.open_file" /><h2 >Function Synopsis.Formatters.Formatters.open_file</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Formatters.html#open_file" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/__init__.py.html#47">Synopsis/Formatters/__init__.py:47</a>: in package <a href="../Scopes/Synopsis/Formatters/Formatters.html" >Synopsis.Formatters.Formatters</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Formatters.quote_name" /><h2 >Function Synopsis.Formatters.Formatters.quote_name</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Formatters.html#quote_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/__init__.py.html#18">Synopsis/Formatters/__init__.py:18</a>: in package <a href="../Scopes/Synopsis/Formatters/Formatters.html" >Synopsis.Formatters.Formatters</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout" /><h2 >Class Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#17">Synopsis/Formatters/HTML/DirectoryLayout.py:17</a>: in module <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#22">Synopsis/Formatters/HTML/DirectoryLayout.py:22</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#init" >init</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#46">Synopsis/Formatters/HTML/DirectoryLayout.py:46</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#copy_file" >copy_file</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#51">Synopsis/Formatters/HTML/DirectoryLayout.py:51</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#59">Synopsis/Formatters/HTML/DirectoryLayout.py:59</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#_strip" >_strip</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#65">Synopsis/Formatters/HTML/DirectoryLayout.py:65</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#file_index" >file_index</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#73">Synopsis/Formatters/HTML/DirectoryLayout.py:73</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#file_source" >file_source</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#81">Synopsis/Formatters/HTML/DirectoryLayout.py:81</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#file_details" >file_details</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#88">Synopsis/Formatters/HTML/DirectoryLayout.py:88</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#index" >index</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#93">Synopsis/Formatters/HTML/DirectoryLayout.py:93</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#special" >special</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#99">Synopsis/Formatters/HTML/DirectoryLayout.py:99</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#scoped_special" >scoped_special</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#105">Synopsis/Formatters/HTML/DirectoryLayout.py:105</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#xref" >xref</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#110">Synopsis/Formatters/HTML/DirectoryLayout.py:110</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#module_tree" >module_tree</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#116">Synopsis/Formatters/HTML/DirectoryLayout.py:116</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#module_index" >module_index</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#122">Synopsis/Formatters/HTML/DirectoryLayout.py:122</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#link" >link</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout._strip" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout._strip</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#_strip" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#59">Synopsis/Formatters/HTML/DirectoryLayout.py:59</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.copy_file" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.copy_file</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#copy_file" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#46">Synopsis/Formatters/HTML/DirectoryLayout.py:46</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_details" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_details</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#file_details" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#81">Synopsis/Formatters/HTML/DirectoryLayout.py:81</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_index" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_index</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#file_index" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#65">Synopsis/Formatters/HTML/DirectoryLayout.py:65</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_source" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_source</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#file_source" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#73">Synopsis/Formatters/HTML/DirectoryLayout.py:73</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.index" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.index</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#index" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#88">Synopsis/Formatters/HTML/DirectoryLayout.py:88</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.init" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.init</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#init" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#22">Synopsis/Formatters/HTML/DirectoryLayout.py:22</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.link" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.link</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#link" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#122">Synopsis/Formatters/HTML/DirectoryLayout.py:122</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.module_index" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.module_index</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#module_index" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#116">Synopsis/Formatters/HTML/DirectoryLayout.py:116</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.module_tree" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.module_tree</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#module_tree" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#110">Synopsis/Formatters/HTML/DirectoryLayout.py:110</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.scope" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.scope</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#51">Synopsis/Formatters/HTML/DirectoryLayout.py:51</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.scoped_special" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.scoped_special</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#scoped_special" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#99">Synopsis/Formatters/HTML/DirectoryLayout.py:99</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.special" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.special</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#special" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#93">Synopsis/Formatters/HTML/DirectoryLayout.py:93</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.xref" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.xref</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html#xref" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#105">Synopsis/Formatters/HTML/DirectoryLayout.py:105</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout" /><h2 >Class Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#137">Synopsis/Formatters/HTML/DirectoryLayout.py:137</a>: in module <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#140">Synopsis/Formatters/HTML/DirectoryLayout.py:140</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#145">Synopsis/Formatters/HTML/DirectoryLayout.py:145</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#file_index" >file_index</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#149">Synopsis/Formatters/HTML/DirectoryLayout.py:149</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#file_source" >file_source</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#153">Synopsis/Formatters/HTML/DirectoryLayout.py:153</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#file_details" >file_details</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#157">Synopsis/Formatters/HTML/DirectoryLayout.py:157</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#special" >special</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#161">Synopsis/Formatters/HTML/DirectoryLayout.py:161</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#scoped_special" >scoped_special</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#165">Synopsis/Formatters/HTML/DirectoryLayout.py:165</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#xref" >xref</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#169">Synopsis/Formatters/HTML/DirectoryLayout.py:169</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#module_tree" >module_tree</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#173">Synopsis/Formatters/HTML/DirectoryLayout.py:173</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#module_index" >module_index</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.file_details" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.file_details</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#file_details" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#153">Synopsis/Formatters/HTML/DirectoryLayout.py:153</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.file_index" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.file_index</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#file_index" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#145">Synopsis/Formatters/HTML/DirectoryLayout.py:145</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.file_source" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.file_source</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#file_source" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#149">Synopsis/Formatters/HTML/DirectoryLayout.py:149</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.module_index" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.module_index</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#module_index" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#173">Synopsis/Formatters/HTML/DirectoryLayout.py:173</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.module_tree" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.module_tree</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#module_tree" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#169">Synopsis/Formatters/HTML/DirectoryLayout.py:169</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.scope" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.scope</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#140">Synopsis/Formatters/HTML/DirectoryLayout.py:140</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.scoped_special" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.scoped_special</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#scoped_special" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#161">Synopsis/Formatters/HTML/DirectoryLayout.py:161</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.special" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.special</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#special" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#157">Synopsis/Formatters/HTML/DirectoryLayout.py:157</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.xref" /><h2 >Method Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.xref</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html#xref" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#165">Synopsis/Formatters/HTML/DirectoryLayout.py:165</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" >Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.Fragment.Fragment" /><h2 >Class Synopsis.Formatters.HTML.Fragment.Fragment</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#11">Synopsis/Formatters/HTML/Fragment.py:11</a>: in module <a href="../Scopes/Synopsis/Formatters/HTML/Fragment.html" >Synopsis.Formatters.HTML.Fragment</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#34">Synopsis/Formatters/HTML/Fragment.py:34</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#register" >register</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#52">Synopsis/Formatters/HTML/Fragment.py:52</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_modifiers" >format_modifiers</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#65">Synopsis/Formatters/HTML/Fragment.py:65</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_declaration" >format_declaration</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#66">Synopsis/Formatters/HTML/Fragment.py:66</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_macro" >format_macro</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#67">Synopsis/Formatters/HTML/Fragment.py:67</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_forward" >format_forward</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#68">Synopsis/Formatters/HTML/Fragment.py:68</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_group" >format_group</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#69">Synopsis/Formatters/HTML/Fragment.py:69</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_scope" >format_scope</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#70">Synopsis/Formatters/HTML/Fragment.py:70</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_module" >format_module</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#71">Synopsis/Formatters/HTML/Fragment.py:71</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_meta_module" >format_meta_module</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#72">Synopsis/Formatters/HTML/Fragment.py:72</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_class" >format_class</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#73">Synopsis/Formatters/HTML/Fragment.py:73</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_class_template" >format_class_template</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#74">Synopsis/Formatters/HTML/Fragment.py:74</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_typedef" >format_typedef</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#75">Synopsis/Formatters/HTML/Fragment.py:75</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_enum" >format_enum</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#76">Synopsis/Formatters/HTML/Fragment.py:76</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_variable" >format_variable</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#77">Synopsis/Formatters/HTML/Fragment.py:77</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_const" >format_const</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#78">Synopsis/Formatters/HTML/Fragment.py:78</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_function" >format_function</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#79">Synopsis/Formatters/HTML/Fragment.py:79</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_function_template" >format_function_template</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#80">Synopsis/Formatters/HTML/Fragment.py:80</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_operation" >format_operation</a></li><li ><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#81">Synopsis/Formatters/HTML/Fragment.py:81</a>: Method <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_operation_template" >format_operation_template</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.Fragment.Fragment.format_class" /><h2 >Method Synopsis.Formatters.HTML.Fragment.Fragment.format_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#72">Synopsis/Formatters/HTML/Fragment.py:72</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html" >Synopsis.Formatters.HTML.Fragment.Fragment</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.Fragment.Fragment.format_class_template" /><h2 >Method Synopsis.Formatters.HTML.Fragment.Fragment.format_class_template</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_class_template" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#73">Synopsis/Formatters/HTML/Fragment.py:73</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html" >Synopsis.Formatters.HTML.Fragment.Fragment</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.Fragment.Fragment.format_const" /><h2 >Method Synopsis.Formatters.HTML.Fragment.Fragment.format_const</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_const" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#77">Synopsis/Formatters/HTML/Fragment.py:77</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html" >Synopsis.Formatters.HTML.Fragment.Fragment</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.Fragment.Fragment.format_declaration" /><h2 >Method Synopsis.Formatters.HTML.Fragment.Fragment.format_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#65">Synopsis/Formatters/HTML/Fragment.py:65</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html" >Synopsis.Formatters.HTML.Fragment.Fragment</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.Fragment.Fragment.format_enum" /><h2 >Method Synopsis.Formatters.HTML.Fragment.Fragment.format_enum</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_enum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#75">Synopsis/Formatters/HTML/Fragment.py:75</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html" >Synopsis.Formatters.HTML.Fragment.Fragment</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.Fragment.Fragment.format_forward" /><h2 >Method Synopsis.Formatters.HTML.Fragment.Fragment.format_forward</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_forward" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#67">Synopsis/Formatters/HTML/Fragment.py:67</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html" >Synopsis.Formatters.HTML.Fragment.Fragment</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.HTML.Fragment.Fragment.format_function" /><h2 >Method Synopsis.Formatters.HTML.Fragment.Fragment.format_function</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html#format_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/HTML/Fragment.py.html#78">Synopsis/Formatters/HTML/Fragment.py:78</a>: in class <a href="../Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html" >Synopsis.Formatters.HTML.Fragment.Fragment</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
